Description: GNT 2.14.3 GNT (GLib Ncurses Toolkit) is an ncurses toolkit for creating text-mode graphical user interfaces in a fast and easy way.

GNT Reference Manual

GNT 2.14.3

GNT (GLib Ncurses Toolkit) is an ncurses toolkit for creating text-mode graphical user interfaces in a fast and easy way.

Table of Contents

I. Core API Reference
  General - General API for managing GNT
  Colors - Managing and parsing colors
  Keys - Key value lookup and transformation
  Styles - Styling from a configuration file
  Utility functions - Various internal utility functions
II. Widget Class Reference
  General Widget Classes
    GntBindable - Key-bindable GObjects
    GntBox - A box for packing widgets in a single row or column
    GntWidget - A general widget
  Windows and Window Management
    GntFileSel - A widget for selecting a file or directory
    GntWindow - A toplevel window
    GntWM - A window manager
    GntWS - Workspace API
  Display Widgets
    GntLabel - A widget that displays text
    GntLine - A widget that draws a horizontal or vertical line
    GntProgressBar - A widget that shows progress visually
    GntSlider - A widget for selecting from a range of values
    GntTree - A widget that shows a tree of items
  Button Widgets
    GntButton - A widget that can be activated
    GntCheckbox - A widget that can be toggled
  Menu and Combo Box Widgets
    GntMenu - A widget for a toplevel or popup menu
    GntMenuItem - An item within a menu
    GntMenuItemCheck - A menu item with a check box
    GntComboBox - A widget for selecting between multiple choices
  Text Widgets
    GntClipboard - A short-term text storage buffer
    GntEntry - A widget for entering text
    GntTextView - A widget for displaying larger bodies of formatted text
III. Appendices
  API Index
  Index of deprecated symbols
  Index of new symbols in 2.14.0
  Index of new symbols in 2.7.3
  Index of new symbols in 2.6.0
  Index of new symbols in 2.4.2
  Index of new symbols in 2.4.0
  Index of new symbols in 2.3.0
  Index of new symbols in 2.2.0
  Index of new symbols in 2.1.1
  Index of new symbols in 2.1.0
  Annotation Glossary

Generated by GTK-Doc V1.33.1